%define zopeproductsdir %{_libdir}/zope/lib/python/Products
%define productname     CMFPhoto
%define productver      0.5.0
%define i18ndomain      cmfphoto
%define snapshot        20040717

%define __find          /usr/bin/find

Name:               zope-%{productname}
Summary:            A Zope product: %{productname} - A photo product for CMF
Version:            %{productver}
Release:            1ied01
Group:              Applications/Internet
Requires:           zope >= 2.7.0
Requires:           zope-CMFPlone >= 2.0
Requires:           python2.3-imaging
License:            GPL
URL:                http://sourceforge.net/projects/collective
#Source:             http://prdownloads.sourceforge.net/collective/%{productname}-%{productver}.tar.gz
Source:             %{productname}-CVS-%{snapshot}.tar.gz
Vendor:             IED
Distribution:       Zope
Packager:           Wei He <hewe@ied.org.cn>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch:          noarch
BuildRequires:      %{__find}
Requires(preun):    %{__find}
Patch0:             %{productname}-0.4.2-plone2.patch
Source1:            %{productname}-0.5.0-zh_cn.po
Source2:            %{productname}-0.5.0-plone-zh_cn.po

#---------------------------------------------------------------------
%description

A photo product for CMF.

#----------------------------------------------------------------------

%prep

#
# Convert to utf-8 and install i18n po file
#
# $1 source po file
# $2 destination po file
# $3 sublanguage code (optional)
#
install_i18n() {

    CURENC=`%{__sed} -rn 's/^"Content-[tT]ype: .*charset=([^\\]+).*/\L\1/p' "$1"`
    if [ "$CURENC" != "utf-8" ];  then
        %{__iconv} -f $CURENC -t utf-8 "$1" | %{__sed} -r 's/^(\"Content-[tT]ype: .*charset=)[^\\]+(.*)/\1utf-8\2/' > "$2"
    else
        %{__sed} -r 's/^\xef\xbb\xbf//' "$1" > "$2"
    fi

    if [ "$3" != "" ]; then
        %{__sed} -r "s/(\x22Language-[cC]ode: )[^\\]+(.*)/\1$3\2/" "$2" | %{__grep} -Eiv '^"X-Is-Fallback-For:' > ${2%%-*.po}-$3.po
    fi

}

%setup -q -n %{productname}
%{__rm} -rf `%{__find} ./  -name 'CVS' | xargs`
%{__find} . -type f -exec %{__chmod} -x {} \;

#
# Need to uninstall and reinstall this product from Plone
# Add/Remove Products panel for this fix to work.
#
%patch0 -p1

#
# zh-cn.po is included in the lastest CVS
#
#install_i18n %{SOURCE1} i18n/%{i18ndomain}-zh.po zh-cn
install_i18n %{SOURCE1} i18n/%{i18ndomain}-zh.po

#
# zh-cn.po is included in the lastest CVS
#
#install_i18n %{SOURCE2} i18n/%{i18ndomain}-plone-zh.po zh-cn
install_i18n %{SOURCE2} i18n/%{i18ndomain}-plone-zh.po

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

#----------------------------------------------------------------------
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%preun

%{__find} %{zopeproductsdir}/%{productname} -iname *.pyc -exec %{__rm} '{}' \;

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc HISTORY.txt README.txt LICENSE.GPL LICENSE.txt version.txt
%dir %{zopeproductsdir}/%{productname}
%{zopeproductsdir}/%{productname}/*

#----------------------------------------------------------------------
%changelog
* Sat Jul 17 2004 Wei He <hewei@ied.org.cn> 0.5.0-1ied01
- updated back from CVS after which po files have been submitted to

* Tue Jul 13 2004 Wei He <hewei@ied.org.cn> 0.5.0-1ied00
- updated to 0.5.0
- updated Simplfied Chinese translations

* Fri Jun 25 2004 Wei He <hewei@ied.org.cn> 0.4.2-1ied02
- product files' ownership changed to root
- Simplfied Chinese translation updates

* Sat May 15 2004 Wei He <hewei@ied.org.cn> 0.4.2-1ied01
- Patched for working on Plone2
- Added Simplified Chinese translation

* Tue May 11 2004 Wei He <hewei@ied.org.cn> 0.4.2-1ied00
- Initial release
